# Visualization
TKV2d
Graphic2d

# Graphic2d_Circle Class Reference

Constructs a primitive Circle
.

`#include <Graphic2d_Circle.hxx>`

Inheritance diagram for Graphic2d_Circle:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_Circle (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Radius)
| Creates a complete circle. The center is <x>, <y>. The radius is <radius>. Warning: Raises CircleDefinitionError if the radius is null. .
Standard_EXPORT | Graphic2d_Circle (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Radius, const Quantity_PlaneAngle Alpha, const Quantity_PlaneAngle Beta)
| Creates an arc. The center is <x>, <y>. The radius is <radius>. Angles are measured counterclockwise with 0 radian at 3 o'clock. Warning: Raises CircleDefinitionError if the radius is null. .
Standard_EXPORT void | Center (Quantity_Length &X, Quantity_Length &Y) const
| returns the coordinates of center of the circle
Standard_EXPORT Quantity_Length | Radius () const
| returns the radius of this circle
Standard_EXPORT Quantity_PlaneAngle | FirstAngle () const
| returns the first angle of the arc
Standard_EXPORT Quantity_PlaneAngle | SecondAngle () const
| returns the second angle of the arc
Standard_EXPORT void | SetCenter (const Quantity_Length X, const Quantity_Length Y)
| defines the coordinates of center of the circle
Standard_EXPORT void | SetRadius (const Quantity_Length theR)
| defines the radius of this circle
Standard_EXPORT void | SetAngles (const Quantity_PlaneAngle Alpha, const Quantity_PlaneAngle Beta)
| defines the angles of the arc
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Retrieve (Aspect_IFStream &anIFStream, const Handle(Graphic2d_GraphicObject)&aGraphicObject)

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the circle <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the circle <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the circle <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the circle <me> is picked, Standard_False if not. .

## Private Member Functions

Standard_EXPORT void | DoMinMax ()

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myRadius
Standard_ShortReal | myFirstAngle
Standard_ShortReal | mySecondAngle
Standard_Boolean | myisArc

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_Circle::Graphic2d_Circle | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Radius
| ) |

Standard_EXPORT Graphic2d_Circle::Graphic2d_Circle | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Radius,
|  | const Quantity_PlaneAngle | Alpha,
|  | const Quantity_PlaneAngle | Beta
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic2d_Circle::Center | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

Standard_EXPORT void Graphic2d_Circle::DoMinMax | ( |  | ) | `[private]`

Standard_EXPORT void Graphic2d_Circle::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_Circle::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_Circle::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT Quantity_PlaneAngle Graphic2d_Circle::FirstAngle | ( |  | ) | const

Standard_EXPORT const Graphic2d_Circle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean Graphic2d_Circle::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT Quantity_Length Graphic2d_Circle::Radius | ( |  | ) | const

static Standard_EXPORT void Graphic2d_Circle::Retrieve | ( | Aspect_IFStream & | anIFStream,
|  | const Handle(Graphic2d_GraphicObject)& | aGraphicObject
| ) | `[static]`

virtual Standard_EXPORT void Graphic2d_Circle::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Quantity_PlaneAngle Graphic2d_Circle::SecondAngle | ( |  | ) | const

Standard_EXPORT void Graphic2d_Circle::SetAngles | ( | const Quantity_PlaneAngle | Alpha,
|  | const Quantity_PlaneAngle | Beta
| ) |

Standard_EXPORT void Graphic2d_Circle::SetCenter | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) |

Standard_EXPORT void Graphic2d_Circle::SetRadius | ( | const Quantity_Length | theR | ) |

## Field Documentation

Standard_ShortReal Graphic2d_Circle::myFirstAngle `[private]`

Standard_Boolean Graphic2d_Circle::myisArc `[private]`

Standard_ShortReal Graphic2d_Circle::myRadius `[private]`

Standard_ShortReal Graphic2d_Circle::mySecondAngle `[private]`

Standard_ShortReal Graphic2d_Circle::myX `[private]`

Standard_ShortReal Graphic2d_Circle::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_Circle.hxx